<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Application;
use App\Models\Volunteer;
class VolunteerController extends Controller
{
    public function index(){
        $volntr = Volunteer::get();
        return view('admin.volunteer.index', Compact('volntr'));
    }

    public function filter(Request $request){
        $hold = $request->hold;
        $reg = $request->reg;
        $act = $request->act;
        $task = $request->task;
        $color = $request->color;
        $volntr = Volunteer::when($hold, function ($query, $hold) {
          return $query->where('is_hold', $hold);
            })
        ->when($reg, function ($query, $reg) {
            return $query->where('unregistered', $reg);
        })
        ->when($act, function ($query, $act) {
            return $query->where('is_active' , $act);
        })
        ->when($task, function ($query, $task) {
            return $query->where('vlntr_task_empathy_calls', $task);
        })
        ->when($color, function ($query, $color) {
              return $query->where('vlntr_assign_color', '<=', $color);
          })->get();
        return view('admin.volunteer.index', Compact('volntr'));

      }

  
    public function unregistered(){
        $volntr = Volunteer::where('unregistered' , 'U')->get();
        return view('admin.volunteer.unreg', Compact('volntr'));
    }
    public function onhold(){
        $volntr = Volunteer::where('is_hold' , 'H')->get();
        return view('admin.volunteer.unreg', Compact('volntr'));
    }
  
    public function skill(Request $request, $id){
        $volntr = Volunteer::findorfail($id);
        $volntr->vlntr_skills=$request->vlntr_skills;
        $volntr->update();
        return back()->with('success' , 'Updated Successfully');
    }
  
    public function contract(Request $request, $id){

        $volntr = Volunteer::findorfail($id);
        $volntr->vlntr_contract_end_date =$request->vlntr_contract_end_date;
        $volntr->update();
        return redirect()->back()->with('success' , 'Updated Successfully');
    }

    public function register( $id , $status){
        $reg= Volunteer::findorfail($id);
        $reg->unregistered=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
    }

    public function hold( $id , $status){
        $reg= Volunteer::findorfail($id);
        $reg->is_hold=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
    }
    public function active( $id , $status){
        $reg= Volunteer::findorfail($id);
        $reg->is_active=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
      }

    public function task(Request $request, $id){
        if($request->vlntr_task_empathy_calls=="O"){
            $volntr=Volunteer::findorfail($id);
            $volntr->vlntr_task_others_datails=$request->task;
            $volntr->update();
            return back()->with('success' , 'Updated Successfully');
        }
        else{
            $volntr=Volunteer::findorfail($id);
            $volntr->vlntr_task_empathy_calls=$request->vlntr_task_empathy_calls;
            $volntr->update();
            return back()->with('success' , 'Updated Successfully');

        }
      }

      public function client(Request $request){
          $client=ClientTrainee::where('volunteer_id', $request->volunteer)->get();
          $count='';
          foreach($client as $c){
            if($c->client_id !=null){
                $count++;
            }
          }
          if($count>=0){
                $res= ["status"=>'1', "volntr_id"=>$request->volunteer];
                return $res;

          }
          



          
      }

    public function applications(Request $request){
        $applications = Application::whereStatus('P')->get();
        return view('admin.volunteer.applications' , compact('applications'));
        
    }
    public function app_show($id){
        $item = Application::find($id);
        return view('admin.volunteer.application-show' , compact('item'));
    }

    public function app_status($id , $status){

       $application = Application::find($id);
       $application->status = $status;
       $application->update();
       return redirect()->back()->with('success' , "Updated Successfully");
    }

}