<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InterviewSlot extends Model
{
    use HasFactory;
    protected $fillable = [
        'interview_slots',
        'description',
        'interviewee_id',
        'date',
        'time',
        'interviewer_primary_id',
        'interviewer_secondary_id',
        'interviewer_tertiary_id',
        'zoom_link',
        'status',
        'booking_time',
        'cancel_time',
        'cancel_reason',
        'updated_by',
        
    ];
    
    function interviewee(){
        return $this->belongsto('App\Models\User', 'interviewee_id');
    }

    function primary(){
        return $this->belongsto('App\Models\User', 'interviewer_primary_id');
   }
   function secondry_interviewer(){
    return $this->belongsto('App\Models\User', 'interviewer_secondary_id');
}
    function tertiary_interviewer(){
        return $this->belongsto('App\Models\User', 'interviewer_tertiary_id');
    }
   public function set_date($date){
        return date('Y-m-d', strtotime($date));
   }
}
